Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PropertiesHelper

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.common.PropertiesHelper

Direct Known Subclasses:
  ApplicationModuleHelper, AttributeDefHelper, RowSetHelper

public abstract class PropertiesHelper
extends BaseObject
implements Properties

Internal: Applications should not use this class.

Field Summary
`protected java.util.Hashtable` | `mProperties`
`protected Timer` | `timer`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Constructor Summary
`PropertiesHelper()`

Method Summary
`abstract java.util.Hashtable` | `getProperties()` Gets the table of properties.
`java.lang.Object` | `getProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`java.lang.Object` | `refreshProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`void` | `setProperty(java.lang.String hintName, java.lang.Object hintValue)`

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mProperties

    protected java.util.Hashtable mProperties

### timer

    protected Timer timer

Constructor Detail

### PropertiesHelper

    public PropertiesHelper()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String hintName)

  Description copied from interface: Properties
  Retrieves the specified property, if it exists.
  Specified by:
    getProperty in interface Properties
  Tags copied from interface: Properties
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### refreshProperty

    public java.lang.Object refreshProperty(java.lang.String hintName)

  Description copied from interface: Properties
  Retrieves the specified property, if it exists. If the application running in a 3 tier environment, it retrieves the property from the middle-tier server, refreshing the value on the client side. If the application is running in a 2 tier environment, it is equivalent to `getProperty`.
  Specified by:
    refreshProperty in interface Properties
  Tags copied from interface: Properties
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### setProperty

    public void setProperty(java.lang.String hintName,
                            java.lang.Object hintValue)

### getProperties

    public abstract java.util.Hashtable getProperties()

  Description copied from interface: Properties
  Gets the table of properties.
  Specified by:
    getProperties in interface Properties
  Tags copied from interface: Properties
  Returns:
    a hashtable of properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD